<script>
	import Heading from "@/components/heading.svelte"
	import PostCard from "@/components/Blog/PostCard.svelte"

	import { isLight } from "@/stores/static"
	import { t, locale, l } from "@/i18n"

	export let data

	$: content = data.post.body?.[$locale]?.replace(/src="/g, "src=\"//dcr.ae")
</script>

<svelte:head>
	<link rel=”canonical” href=”https://dcr.ae{$l(`blog/${data.post.url}`)}”>
</svelte:head>

<div class="content fetched-content">
	{@html content}
</div>
<div class="more" class:dark={!$isLight}>
	<Heading noStripes={true}>{$t("heading.read_more")}</Heading>
	<div class="columns is-flex is-multiline is-variable is-2">
		{#each data.more as post}
			<div class="column is-3-widescreen is-4-desktop is-6-tablet is-12-mobile">
				<div class="column-container"><PostCard post={post} /></div>
			</div>
		{/each}
	</div>
</div>


<style lang="scss">
	.more {
		padding-top: 1rem;
		padding-bottom: 7.5rem;
		border-top: 1px solid $black;
		transition: border-color .2s ease-in-out;
		&.dark {
			border-color: #434343;
		}
		.columns {
			margin-top: 4rem;
		}
	}
</style>